Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP > Class Template Reference

`#include <Dynamic_Component_Servant_T.h>`

Inheritance diagram for CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >:

[legend]
Collaboration diagram for CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >:

[legend]
List of all members.

## Public Member Functions
| Dynamic_Component_Servant (Components::EnterpriseComponent_ptr ec, Components::CCMHome_ptr home, const char *ins_name, Home_Servant_Impl_Base *home_servant, Session_Container *c)
virtual | ~Dynamic_Component_Servant (void)
virtual PortableServer::Servant | create (PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void | destroy (PortableServer::ObjectId &oid)
virtual void | update_destroy_count (void)
## Protected Attributes
Components::EnterpriseComponent_var | executor_
CORBA::String_var | ins_name_
Home_Servant_Impl_Base * | home_servant_
Components::CCMHome_var | home_
ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, COMP_SVNT *, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_SYNCH_MUTEX > | servant_map_
bool | component_removed_

### template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
class CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >

## Constructor & Destructor Documentation

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::Dynamic_Component_Servant | ( | Components::EnterpriseComponent_ptr | ec,
|  | Components::CCMHome_ptr | home,
|  | const char * | ins_name,
|  | Home_Servant_Impl_Base * | home_servant,
|  | Session_Container * | c
| ) |

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::~Dynamic_Component_Servant | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
PortableServer::Servant CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::create | ( | PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Jai, should you be using ACE_NEW_THROW_EX here? @ Implements CIAO::Dynamic_Component_Servant_Base.

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
void CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::destroy | ( | PortableServer::ObjectId & | oid | ) | `[virtual]`

| Implements CIAO::Dynamic_Component_Servant_Base.

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
void CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::update_destroy_count | ( | void |  | ) | `[virtual]`

| Implements CIAO::Dynamic_Component_Servant_Base.

## Member Data Documentation

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
bool CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::component_removed_`[protected]`

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
Components::EnterpriseComponent_var CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::executor_`[protected]`

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
Components::CCMHome_var CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::home_`[protected]`

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
Home_Servant_Impl_Base* CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::home_servant_`[protected]`

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
CORBA::String_var CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::ins_name_`[protected]`

template<typename COMP_SVNT, typename COMP_EXEC, typename COMP_EXEC_VAR, typename EXEC, typename EXEC_VAR, typename COMP>
ACE_Hash_Map_Manager_Ex<PortableServer::ObjectId, COMP_SVNT *, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_SYNCH_MUTEX> CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >::servant_map_`[protected]`

The documentation for this class was generated from the following files:

- Dynamic_Component_Servant_T.h
- Dynamic_Component_Servant_T.cpp